package ru.micord.ervu.security.esia.model;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author Eduard Tihomirov
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class EsiaAccessToken implements Serializable {

  private static final long serialVersionUID = -8580344482588383113L;

  private Long exp;

  private String scope;

  private String iss;

  private Long nbf;

  @JsonProperty("urn:esia:sid")
  private String sid;

  @JsonProperty("urn:esia:sbj_id")
  private String sbjId;
  @JsonProperty("client_id")
  private String clientId;

  private Long iat;

  public Long getExp() {
    return exp;
  }

  public void setExp(Long exp) {
    this.exp = exp;
  }

  public String getScope() {
    return scope;
  }

  public void setScope(String scope) {
    this.scope = scope;
  }

  public String getIss() {
    return iss;
  }

  public void setIss(String iss) {
    this.iss = iss;
  }

  public Long getNbf() {
    return nbf;
  }

  public void setNbf(Long nbf) {
    this.nbf = nbf;
  }

  public String getSid() {
    return sid;
  }

  public void setSid(String sid) {
    this.sid = sid;
  }

  public String getSbjId() {
    return sbjId;
  }

  public void setSbjId(String sbjId) {
    this.sbjId = sbjId;
  }

  public String getClientId() {
    return clientId;
  }

  public void setClientId(String clientId) {
    this.clientId = clientId;
  }

  public Long getIat() {
    return iat;
  }

  public void setIat(Long iat) {
    this.iat = iat;
  }
}
